module BlackStack
  module NextBot    
    # The "remote" (or API class) that will
    # be receive the data from an API call.
    class BaseRemoteObject
      attr_accessor :descriptor
      # Attributes initialization from a hash descritor.
      # This base method will map the "h" parameter to the "descriptor" attribute,
      # => in order to keep a copy of it. 
      def build(h)
        self.descriptor = h.clone
      end
    end # class BaseRemoteObject
  end # module NextBot
end # module BlackStack